<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<li class="op-activity-list--item">
  <div class="op-activity-list--item-title">
    <% if @event.event_path %>
      <%= link_to @event.event_title.squish, @event.event_path %>
    <% else %>
      <%= @event.event_title %>
    <% end %>
    <%= project_suffix %>
  </div>
  <%=
    render(Activities::ItemSubtitleComponent.new(
      user: display_user? && @event.event_author,
      datetime: @event.event_datetime,
      is_creation: initial?,
      is_deletion: deletion?,
      is_work_package: work_package?,
      journable_type: @event.journal.journable_type)
    )
  %>
  <% if comment.present? -%>
    <ul class="op-activity-list--item-details">
      <li class="op-activity-list--item-detail">
        <strong><%= t('label_comment_added') %></strong>
        <p class="op-uc-p"><%= helpers.truncate_formatted_text(comment) %></p>
      </li>
    </ul>
  <% end -%>
  <% if description.present? -%>
    <div class="op-activity-list--item-description">
      <%= helpers.truncate_formatted_text(description) %>
    </div>
  <% end -%>
  <% if display_details? -%>
    <ul class="op-activity-list--item-details">
      <% rendered_details.each do |detail| -%>
        <li class="op-activity-list--item-detail"><%= detail %></li>
      <% end -%>
      <% if time_entry_url.present? -%>
        <li class="op-activity-list--item-detail"><%= link_to "Details", @event.event_url %></li>
      <% end -%>
    </ul>
  <% elsif noop? -%>
    <ul class="op-activity-list--item-details">
      <li class="op-activity-list--item-detail">
        <em><%= I18n.t(:"journals.changes_retracted") %></em>
      </li>
    </ul>
  <% end -%>
</li>
